---
title: "rclone completion"
description: "Generate the autocompletion script for the specified shell"
slug: rclone_completion
url: /commands/rclone_completion/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/completion/ and as part of making a release run "make commanddocs"
---
# rclone completion

Generate the autocompletion script for the specified shell

## Synopsis

Generate the autocompletion script for rclone for the specified shell.
See each sub-command's help for details on how to use the generated script.


## Options

```
  -h, --help   help for completion
```

See the [global flags page](/flags/) for global options not listed here.

## SEE ALSO

* [rclone](/commands/rclone/)	 - Show help for rclone commands, flags and backends.
* [rclone completion bash](/commands/rclone_completion_bash/)	 - Generate the autocompletion script for bash
* [rclone completion fish](/commands/rclone_completion_fish/)	 - Generate the autocompletion script for fish
* [rclone completion powershell](/commands/rclone_completion_powershell/)	 - Generate the autocompletion script for powershell
* [rclone completion zsh](/commands/rclone_completion_zsh/)	 - Generate the autocompletion script for zsh

